> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# New Proceed to File

> Proceed to file generates the summary and marks the return ready for filing. Post this Summary can be fetched and EVC OTP can be generated for filing.

#### Request body schema

<Card title="View request body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/taxpayer/gstr-1/file/new_proceed.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/gstrs/{gstr}/{year}/{month}/new-proceed
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/tax-payer/gstrs/{gstr}/{year}/{month}/new-proceed:
    post:
      tags:
        - Taxpayer
        - Returns
      summary: New Proceed to File
      description: >-
        Authenticated tax payer can save entire GSTR-1 invoices by uploading
        json to GST portal
      operationId: newProceedToFileGstr
      parameters:
        - name: gstr
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: year
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: month
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: is_nil
          in: query
          description: 'For proceeding to file nil report Possible values: Y or N'
          required: false
          schema:
            type: string
            example: 'Y'
        - name: authorization
          in: header
          description: >-
            GST taxpayer access token. For token-generation steps, refer to the
            [Generate Taxpayer
            Session](/recipes/gst/authentication/generate_tax_payer_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      requestBody:
        content:
          application/json:
            schema:
              type: object
              description: Proceed to file GST Return
              properties: {}
            examples:
              200 Success:
                value:
                  gstin: 29AAACQ3770E000
                  ret_period: '122023'
                summary: 200 Success
              RET192409 GSTR-3B not filed:
                value:
                  gstin: 29AAACQ3770E000
                  ret_period: '042024'
                summary: RET192409 GSTR-3B not filed
              AUTH154 Invalid return type:
                value:
                  gstin: 24ABKCS2033B1ZV
                  ret_period: '202403'
                summary: AUTH154 Invalid return type
              RET00009 Return Form already filed:
                value:
                  gstin: 24ABKCS2033B1ZV
                  ret_period: '202403'
                summary: RET00009 Return Form already filed
      responses:
        '200':
          description: >-
            200 Success / RET192409 GSTR-3B not filed / AUTH154 Invalid return
            type / RET00009 Return Form already filed
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          reference_id:
                            type: string
                            example: 897c98eb-7877-4252-934d-46cb3a86c51a
                      error:
                        type: object
                        properties:
                          error_cd:
                            type: string
                            example: RET192409
                          message:
                            type: string
                            example: >-
                              As per Rule 59(6) of CGST Rules-2017, this
                              GSTR-1/IFF cannot be Filed as GSTR-3B for
                              March-2024 is not Filed. Records added shall
                              continue to remain Saved. Please try again after
                              filing pending GSTR-3B.
                      status_cd:
                        type: string
                        example: '1'
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: 557c0450-7ca9-45f2-ba07-b8d104cbc8b2
              examples:
                200 Success:
                  summary: 200 Success
                  value:
                    code: 200
                    data:
                      data:
                        reference_id: 897c98eb-7877-4252-934d-46cb3a86c51a
                      status_cd: '1'
                    timestamp: 1763446641000
                    transaction_id: 557c0450-7ca9-45f2-ba07-b8d104cbc8b2
                AUTH154 Invalid return type:
                  summary: AUTH154 Invalid return type
                  value:
                    code: 200
                    data:
                      error:
                        error_cd: AUTH154
                        message: Invalid Return Type
                      status_cd: '0'
                    timestamp: 1734692202000
                    transaction_id: b8df8bdc-2219-4c04-89ba-e85a76f34222
                RET00009 Return Form already filed:
                  summary: RET00009 Return Form already filed
                  value:
                    code: 200
                    data:
                      error:
                        error_cd: RET00009
                        message: Return Form already filed
                      status_cd: '0'
                    timestamp: 1734694283000
                    transaction_id: 9b91308a-a98d-4fb3-a6ec-c08634fe933b
                RET192409 GSTR-3B not filed:
                  summary: RET192409 GSTR-3B not filed
                  value:
                    code: 200
                    data:
                      error:
                        error_cd: RET192409
                        message: >-
                          As per Rule 59(6) of CGST Rules-2017, this GSTR-1/IFF
                          cannot be Filed as GSTR-3B for March-2024 is not
                          Filed. Records added shall continue to remain Saved.
                          Please try again after filing pending GSTR-3B.
                      status_cd: '0'
                    timestamp: 1763446641000
                    transaction_id: 76f3cdcc-ac11-4c40-94f8-7e8e0acb7dc7
          headers: {}
      deprecated: false
      security: []

````